<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>mecnix</title>
    <!-- MDB icon -->
    <link rel="icon" href="img/mdb-favicon.ico" type="image/x-icon" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Saira:wght@200;700&display=swap" rel="stylesheet">
    <!-- MDB -->
    <link rel="stylesheet" href="css/mdb.min.css" />
    <link rel="stylesheet" href="css/mystyle.css" />
  
    <style>
      
    </style>
  </head>
  <body>
    <!-- Start your project here-->
  <!-- Navbar -->

  <div class="container vc">
    <nav class="nav">
      <div class="logo"><img src="img/mecnix copy_white 2 (2).png" width="80px"></div>
      <div class="icon" id="menuToggle"><i class="fas fa-bars"></i></div>
      <div class="navRight">
         <a class="navLinks" href="index.php">Home</a>
         <a class="navLinks" href="">Blog</a>
         <a class="navLinks" href="about.php">About</a>
         <a class="navLinks mainButton" href="">Get Onboarded</a>
      </div>
    </nav>
    <div class="navRights">
      <a class="navLink" href="index.php">Home</a>
      <a class="navLink" href="">Blog</a>
      <a class="navLink" href="about.php">About</a>
      <a class="navLink mainButton" href="">Get Onboarded</a>
   </div>
  </div>
  <header>
    <br>
    <br>
    <br>
    <br>
    <div class="container">
      <div class="text">
        <h1>About Mecnix</h1>
        <p>
          We are using a cutting-edge technique to navigate the Web3 Frontier while setting out for Crypto Meteos in the heart of the galaxy.
          Innovation and transformation are the forces behind Mecnix, which was founded on the dynamic nature of cryptocurrencies and blockchain. Mecnix, which was established in 2021 by three forward-thinking brothers, reflects the spirit of innovation, the passion of change, and an unwavering dedication to the legitimacy of cryptocurrency initiatives. Mecnix: Observing the development of ideas into practical solutions for humanity.
        </p>
        <!-- <img class="world card-img-top" src="img/Group-1.svg"> -->
  
      </div>
      </div>
  </header>
  <main>
<br>
<br>
    <div class="row">
      <div class="col-md-2"></div>
       <div class="col-md-4">
           <div class="serviceCard p-4">
               <i class="as fas fa-bullseye py-2" style="font-size: 50px;"></i>
               <h3>Our Mission & Vision</h3>
               <p>
                At MECNIX, we think it's important to connect cutting-edge Web3 products with the community who will reshape the future. Our goal is to enable people and companies to successfully navigate the complicated and constantly changing world of blockchain technology.
               </p>
           </div>
       </div>
       <div class="col-md-4">
          <div class="serviceCards">
            <i class="as fas fa-arrows py-2" style="font-size: 50px;"></i>
            <h3>Our Values & Culture</h3>
            <p>
              In the wild west of opportunities and challenges - crypto, one value stands above all: Integrity! We are on a mission to bring an end to the era of "shitcoins" and scam projects, and to shed light on genuine, promising innovations. Our community of Web3 enthusiasts is our top priority, and we strive to be their guiding light.
            </p>
          </div>
      </div>
      <div class="col-md-2"></div>
    </div>
<br>
<br>
<div class="container">
      <div class="text">
        <h5>Our Achievements</h5>
        <p>
        Mecnix has quickly made a lasting impression on the crypto community. We have integrated full-time cryptocurrency initiatives and put them on the right track. This amazing journey is only getting begun.

        Help us redefine the digital frontier by joining us. Utilize Mecnix to explore Web3.
        </p>
        <!-- <img class="world card-img-top" src="img/Group-1.svg"> -->
  
      </div>
      </div>
  <div class="container">
    <div class="footer">
      <div class="row">
         <div class="col-md-6 dss">
             <h5 style="text-align: left;">Get notified on our blogs</h5>
             <br>
             <form>
               <input type="email" name="email" placeholder="email address"><br>
               <input class="mainButton" type="submit" value="subscribe" style="margin-top: 10px;">
             </form>
             <br>
             <div class="socials dss">
                <div class="icons"><img src="img/Frame 26.svg"></div>
                <div class="icons"><img src="img/Frame 27.svg"></div>
                <div class="icons"><img src="img/Frame 28.svg"></div>
                <div class="icons"><img src="img/Frame 29.svg"></div>
                <div class="icons"><img src="img/Frame 30.svg"></div>
             </div>
         </div>
         <div class="col-md-6 dss">
            <h5 style="text-align: right;">Our services</h5>
            <ul class="ds dss">
               <li><a href="">Project management</a></li>
               <li><a href="">Designs & Development</a></li>
               <li><a href="">Event management</a></li>
               <li><a href="">Growth hacking</a></li>
            </ul>
            <div class="mail" style="text-align: right;font-weight: 700;">info@mecnix.com</div>
         </div>
      </div>
  </div>
  </div>
  <div class="footers">
     <div>&copy 2021 Copyright: <a style="color: wheat; font-weight: bolder;" href="mecnix.com">mecnix.com</a></div>
  </div>
  </main>


<script>
  AOS.init();
</script>

    <script type="text/javascript" src="js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript" src="js/mycode.js"></script>

  </body>
</html>
