<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>mecnix</title>
    <!-- MDB icon -->
    <link rel="icon" href="img/mdb-favicon.ico" type="image/x-icon" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Saira:wght@200;700&display=swap" rel="stylesheet">
    <!-- MDB -->
    <link rel="stylesheet" href="css/mdb.min.css" />
    <link rel="stylesheet" href="css/mystyle.css" />
  
    <style>
      
    </style>
  </head>
  <body>
    <!-- Start your project here-->
  <!-- Navbar -->

  <div class="container vc">
    <nav class="nav">
      <div class="logo"><img src="img/mecnix copy_white 2 (2).png" width="80px"></div>
      <div class="icon" id="menuToggle"><i class="fas fa-bars"></i></div>
      <div class="navRight">
         <a class="navLinks" href="index.php">Home</a>
         <a class="navLinks" href="#services">Blog</a>
         <a class="navLinks" href="about.php">About</a>
         <a class="navLinks mainButton" href="">Get Onboarded</a>
      </div>
    </nav>
    <div class="navRights">
      <a class="navLink" href="">Home</a>
      <a class="navLink" href="">Blog</a>
      <a class="navLink" href="">About</a>
      <a class="navLink mainButton" href="">Get Onboarded</a>
   </div>
  </div>
  <header>
    <br>
    <br>
    <br>
    <br>
    <div class="container">
      <div class="text">
        <h1>Reach Beyond Your Space</h1>
        <p>
          We are a Strategic Marketing agency. we set new brands in motion, revive<br> 
          existing one sand create fresh customer's experiences.
        </p>
       <div class="row up">
          <div class="col-md-2"> <img class="world2 card-img-top" src="img/Group-2.svg"></div>
          <div class="col-md-8"><img class="world1 card-img-top" src="img/Group.svg" ></div>
          <div class="col-md-2"><img class="world3 card-img-top" src="img/Group-1.svg"></div>
       </div>
      </div>
      </div>
  </header>
  <main>
     <div class="container">
       <br>
       <br>
         <div class="row">
            <div class="col-md-8">
                <div class="community">
                    <h2>Join our Community</h2>
                    <p>to learn more on</p>
                    <div class="list">
                       <div class="item">DEFI</div>
                       <div class="item">CEFI</div>
                       <div class="item">NFT</div>
                       <div class="item">METAVARSE</div>
                    </div>
                    <br>
                    <a class="secButton" href="">Telegram <i class="fab fa-telegram"></i></a>
                    <br>
                </div>
            </div>
            <div class="col-md-4">
               <div class="count">
                  <h1 id="counter"></h1>
                  <h2>and above</h2>
                  <p>project successful collaboration</p>
               </div>
            </div>
         </div>
         <br>
         <br>
         <br>
         <br>
         <div class="row">
            <div class="col-md-1"></div>
            <div class="col-md-5">
                <img class="card-img-top" src="img/Group 23.svg">
                <img class="rock3" src="img/rock3.svg" width="200">
            </div>
            <div class="col-md-5">
              <br>
              <br>
                <div class="texts">
                    <h2>Be the Gem <br>among the Meteos</h2>
                    <p>
                      Connect with billions of people across the globe and let your project be visible.
                    </p>
                </div>
            </div>
            <div class="col-md-1"></div>
         </div>
         <br>
         <br>
         
     </div>
     <div class="services" id="services">
        <h5>What we offer</h5>
        <div class="container">
          <div class="contain">
            <div class="serviceCard">
                <h3>Project management</h3>
                <p>Success of your project from Idea to completion.</p>
            </div>
            <div class="serviceCard">
              <h3>Growth hacking</h3>
              <p>Maximizing the potential of your cryptocurrency project.</p>
          </div>
          <div class="serviceCard">
            <h3>Event management</h3>
            <p>Designing engaging, immersive experiences.</p>
          </div>
          <div class="serviceCard">
            <h3>Designs & Development</h3>
            <p>Create a better and Compelling Designs with us graphics, UI and websites with better SEO</p>
          </div>
      
        </div>
        </div>
      
     </div>
     <br>
     <br>
     <div class="container cs">
        <div class="dotted-line"></div>
     </div>
     <br>
     <div class="blog">
        <div class="row">
           <div class="col-md-7 col-9">
               <img src="img/Frame 33.svg" class="card-img-top">
               <br>
               <br>
               <div class="container">
                <h5 style="text-align: right;">Visit Our Blog</h5>
                <p>
                 Know what is happening on the blockchain/web3 space: read articles on trending crypto news.
                </p>
                <a class="sec3Button" href="">Blogs</a>
               </div>
            
           </div>
           <div class="col-md-5 col-3"></div>
        </div>
     </div>
     <br>
     <div class="container cs">
      <div class="dotted-line"></div>
     </div>
     <br>
     <div class="cryptocafe">
      <div class="row">
         <div class="col-md-5 col-4"></div>
         <div class="col-md-7 col-8">
          <div class="container" style="padding: 10px;">
          <img src="img/cc.svg" class="card-img-top">
          <br>
          <br>
          
           <h5 style="text-align: left;">Join cryptoCafe</h5>
           <p>
            Learn more about blockchain, its application and the impact on our community
           </p>
           <a class="sec3Button" href="">Twitter Space</a>
          </div>
         </div>
      </div>
   </div>
   <br>
   <br>
   <br>
   <br>
   <br>
   <div class="team">
     <h5>Meet the team</h5>
     <br>
      <div class="container">
         <div class="row">
            <div class="col-md-2"></div>
            <div class="col-md-8">
                <div class="team-images">
                   <a href="https://www.linkedin.com/in/felix-chichetam-476a881ab/"><img class="teams" src="img/Felix.png"></a>
                   <a href="https://www.linkedin.com/in/vancube-2/"><img class="teams" src="img/Evans.png"></a>
                   <a href="https://www.linkedin.com/in/emmanuel-nchuma/"><img class="teams" src="img/Emma.png"></a>
                </div>
            </div>
            <div class="col-md-2"></div>
         </div>
      </div>
   </div>
     <div class="container">
       <br>
       <br>
       <br>
       <br>
        <div class="partners">
           <img class="pi" src="img/Frame 21.png">
           <img class="pi" src="img/Frame 22.png">
           <img class="pi" src="img/Frame 23.png">
           <img class="pi" src="img/Frame 24.png">
        </div>
     </div>
     <br>
     <br>
     <br>
     <br>
  <div class="container">
    <div class="footer">
      <div class="row">
         <div class="col-md-6 dss">
             <h5 style="text-align: left;">Get notified on our blogs</h5>
             <br>
             <form>
               <input type="email" name="email" placeholder="email address"><br>
               <input class="mainButton" type="submit" value="subscribe" style="margin-top: 10px;">
             </form>
             <br>
             <div class="socials dss">
                <div class="icons"><img src="img/Frame 26.svg"></div>
                <div class="icons"><img src="img/Frame 27.svg"></div>
                <div class="icons"><img src="img/Frame 28.svg"></div>
                <div class="icons"><img src="img/Frame 29.svg"></div>
                <div class="icons"><img src="img/Frame 30.svg"></div>
             </div>
         </div>
         <div class="col-md-6 dss">
            <h5 style="text-align: right;">Our services</h5>
            <ul class="ds dss">
            <li><a href="">Project management</a></li>
               <li><a href="">Designs & Development</a></li>
               <li><a href="">Event management</a></li>
               <li><a href="">Growth hacking</a></li>
            </ul>
            <div class="mail" style="text-align: right;font-weight: 700;">info@mecnix.com</div>
         </div>
      </div>
  </div>
  </div>
  <div class="footers">
     <div>&copy 2021 Copyright: <a style="color: wheat; font-weight: bolder;" href="mecnix.com">mecnix.com</a></div>
  </div>
  </main>


<script>
  AOS.init();
</script>

    <script type="text/javascript" src="js/mdb.min.js"></script>
    <!-- Custom scripts -->
    <script type="text/javascript" src="js/mycode.js"></script>

  </body>
</html>
