<?php 

//add new
if($action == 'add')
{
    if(!empty($_POST))
    {
      //validate
      $errors = [];

      //validate image
      $allowed = ['image/jpeg','image/png','image/webp'];
      if(!empty($_FILES['image']['name']))
      {
        $destination = "";
        if(!in_array($_FILES['image']['type'], $allowed))
        {
          $errors['image'] = "Image format not supported";
        }else
        {
          $folder = "uploads/";
          if(!file_exists($folder))
          {
            mkdir($folder, 0777, true);
          }

          $destination = $folder . time() . $_FILES['image']['name'];
          move_uploaded_file($_FILES['image']['tmp_name'], $destination);
          resize_image($destination);
        }

      }

      if(empty($errors))
      {
        //save to database
        $data = [];
        $data['ticker']  = $_POST['ticker'];
        $data['name']    = $_POST['name'];
        $data['chain']   = $_POST['chain'];
        $data['website'] = $_POST['website'];
        $data['dex']     = $_POST['dex'];
        $data['bio']     = $_POST['bio'];

        $query = "insert into projects (ticker,name,chain,website,dex,bio) values (:ticker,:name,:chain,:website,:dex,:bio)";
        
        if(!empty($destination))
        {
          $data['image']     = $destination;
          $query = "insert into projects (ticker,name,chain,website,dex,bio,image) values (:ticker,:name,:chain,:website,:dex,:bio,:image)";
        }

        query($query, $data);

        redirect('admin/projects');

      }
    }
}else
if($action == 'edit')
{
    
    $query = "select * from projects where id = :id limit 1";
    $row = query_row($query, ['id'=>$id]);

    if(!empty($_POST))
    {

      if($row)
      {

        //validate
        $errors = [];

        //validate image
        $allowed = ['image/jpeg','image/png','image/webp'];
        if(!empty($_FILES['image']['name']))
        {
          $destination = "";
          if(!in_array($_FILES['image']['type'], $allowed))
          {
            $errors['image'] = "Image format not supported";
          }else
          {
            $folder = "uploads/";
            if(!file_exists($folder))
            {
              mkdir($folder, 0777, true);
            }

            $destination = $folder . time() . $_FILES['image']['name'];
            move_uploaded_file($_FILES['image']['tmp_name'], $destination);
            resize_image($destination);
          }


        }
 
        if(empty($errors))
        {
          //save to database
          $data = [];
          $data['ticker']  = $_POST['ticker'];
          $data['name']    = $_POST['name'];
          $data['chain']   = $_POST['chain'];
          $data['website'] = $_POST['website'];
          $data['dex']     = $_POST['dex'];
          $data['bio']     = $_POST['bio'];
          $data['id']       = $id;

          $image_str        = "";

            if(!empty($destination))
            {
              $image_str = "image = :image, ";
              $data['image']       = $destination;
            }
          
            $query = "update projects set ticker = :ticker, name = :name, chain = :chain, website = :website, $image_str dex = :dex, bio = :bio where id = :id limit 1";

          query($query, $data);
          redirect('admin/users');

        }
      }
    }
}else
if($action == 'delete')
{
    
    $query = "select * from projects where id = :id limit 1";
    $row = query_row($query, ['id'=>$id]);

    if($_SERVER['REQUEST_METHOD'] == "POST")
    {

      if($row)
      {

        //validate
        $errors = [];

        if(empty($errors))
        {
          //delete from database
          $data = [];
          $data['id']       = $id;

          $query = "delete from projects where id = :id limit 1";
          query($query, $data);

          if(file_exists($row['image']))
            unlink($row['image']);

          redirect('admin/users');

        }
      }
    }
  }