<?php if($action == 'add'):?>

	<div class="col-md-6 mx-auto">
	  <form method="post" enctype="multipart/form-data">

	    <h1 class="h3 mb-3 fw-normal">Add Project</h1>

	    <?php if (!empty($errors)):?>
	      <div class="alert alert-danger">Please fix the errors below</div>
	    <?php endif;?>

	    <div class="my-2">
	    	<label class="d-block">
	    		<img class="mx-auto d-block image-preview-edit" src="<?=get_image('')?>" style="cursor: pointer;width: 150px;height: 150px;object-fit: cover;">
	    		<input onchange="display_image_edit(this.files[0])" type="file" name="image" class="d-none">
	    	</label>
	    	<?php if(!empty($errors['image'])):?>
		      <div class="text-danger"><?=$errors['image']?></div>
		    <?php endif;?>

	    	<script>
	    		
	    		function display_image_edit(file)
	    		{
	    			document.querySelector(".image-preview-edit").src = URL.createObjectURL(file);
	    		}
	    	</script>
	    </div>

		<div class="form-floating">
	      <input value="<?=old_value('ticker')?>" name="ticker" type="text" class="form-control mb-2" id="floatingInput" placeholder="ticker" required>
	      <label for="floatingInput">Ticker</label>
	    </div>
	    <div class="form-floating">
	      <input value="<?=old_value('name')?>" name="name" type="text" class="form-control mb-2" id="floatingInput" placeholder="name">
	      <label for="floatingInput">name</label>
	    </div>
	      <?php if(!empty($errors['name'])):?>
	      <div class="text-danger"><?=$errors['name']?></div>
	      <?php endif;?>

	    <div class="form-floating">
	      <input value="<?=old_value('chain')?>" name="chain" type="text" class="form-control" id="floatingInput" placeholder="chain">
	      <label for="floatingInput">Chain</label>
	    </div>
	      <?php if(!empty($errors['chain'])):?>
	      <div class="text-danger"><?=$errors['chain']?></div>
	      <?php endif;?>

		  <div class="form-floating">
	      <input value="<?=old_value('website')?>" name="website" type="text" class="form-control mb-2" id="floatingInput" placeholder="web link" required>
	      <label for="floatingInput">web link</label>
	    </div>

	    <div class="form-floating">
	      <input value="<?=old_value('dex')?>" name="dex" type="text" class="form-control" id="floatingPassword" placeholder="dex">
	      <label for="floatingPassword">dex url</label>
	    </div>
	      <?php if(!empty($errors['dex'])):?>
	      <div class="text-danger"><?=$errors['dex']?></div>
	      <?php endif;?>

	    <div class="form-floating">
	      <input value="<?=old_value('bio')?>" name="bio" type="text" class="form-control" id="floatingPassword" placeholder="bio">
	      <label for="floatingPassword">Bio</label>
	    </div>

	    <a href="<?=ROOT?>/admin/users">
		    <button class="mt-4 btn btn-lg btn-primary" type="button">Back</button>
		</a>
	    <button class="mt-4 btn btn-lg btn-primary float-end" type="submit">Create</button>
	   
	  </form>
	</div>

<?php elseif($action == 'edit'):?>

	<div class="col-md-6 mx-auto">
	  <form method="post" enctype="multipart/form-data">

	    <h1 class="h3 mb-3 fw-normal">Edit account</h1>

	    <?php if(!empty($row)):?>

		    <?php if (!empty($errors)):?>
		      <div class="alert alert-danger">Please fix the errors below</div>
		    <?php endif;?>

		    <div class="my-2">
		    	<label class="d-block">
		    		<img class="mx-auto d-block image-preview-edit" src="<?=get_image($row['image'])?>" style="cursor: pointer;width: 150px;height: 150px;object-fit: cover;">
		    		<input onchange="display_image_edit(this.files[0])" type="file" name="image" class="d-none">
		    	</label>
		    	<?php if(!empty($errors['image'])):?>
			      <div class="text-danger"><?=$errors['image']?></div>
			    <?php endif;?>

		    	<script>
		    		
		    		function display_image_edit(file)
		    		{
		    			document.querySelector(".image-preview-edit").src = URL.createObjectURL(file);
		    		}
		    	</script>
		    </div>

			<div class="form-floating">
		      <input value="<?=old_value('ticker', $row['ticker'])?>" name="ticker" type="text" class="form-control mb-2" id="floatingInput" placeholder="ticker">
		      <label for="floatingInput">ticker</label>
		    </div>
		    <div class="form-floating">
		      <input value="<?=old_value('name', $row['name'])?>" name="name" type="text" class="form-control mb-2" id="floatingInput" placeholder="name">
		      <label for="floatingInput">name</label>
		    </div>
		      <?php if(!empty($errors['name'])):?>
		      <div class="text-danger"><?=$errors['name']?></div>
		      <?php endif;?>

		    <div class="form-floating">
		      <input value="<?=old_value('chain', $row['chain'])?>" name="chain" type="text" class="form-control" id="floatingInput" placeholder="chain">
		      <label for="floatingInput">Chain</label>
		    </div>
		      <?php if(!empty($errors['chain'])):?>
		      <div class="text-danger"><?=$errors['chain']?></div>
		      <?php endif;?>

			  <div class="form-floating">
		      <input value="<?=old_value('website', $row['website'])?>" name="website" type="text" class="form-control mb-2" id="floatingInput" placeholder="web url">
		      <label for="floatingInput">web url</label>
		    </div>

		    <div class="form-floating">
		      <input value="<?=old_value('dex', $row['dex'])?>" name="dex" type="text" class="form-control" id="floatingPassword" placeholder="dex">
		      <label for="floatingPassword">dex url</label>
		    </div>
		      <?php if(!empty($errors['dex'])):?>
		      <div class="text-danger"><?=$errors['dex']?></div>
		      <?php endif;?>

		    <div class="form-floating">
		      <input value="<?=old_value('bio', $row['bio'])?>" name="bio" type="text" class="form-control" id="floatingPassword" placeholder="bio">
		      <label for="floatingPassword">Bio</label>
		    </div>

		    <a href="<?=ROOT?>/admin/users">
			    <button class="mt-4 btn btn-lg btn-primary" type="button">Back</button>
			</a>
		    <button class="mt-4 btn btn-lg btn-primary  float-end" type="submit">Save</button>
		<?php else:?>

			<div class="alert alert-danger text-center">Record not found!</div>
		<?php endif;?>

	  </form>
	</div>

<?php elseif($action == 'delete'):?>

	<div class="col-md-6 mx-auto">
	  <form method="post">

	    <h1 class="h3 mb-3 fw-normal">Delete account</h1>

	    <?php if(!empty($row)):?>

		    <?php if (!empty($errors)):?>
		      <div class="alert alert-danger">Please fix the errors below</div>
		    <?php endif;?>

		    <div class="form-floating">
		      <div class="form-control mb-2" ><?=old_value('ticker', $row['ticker'])?></div>
		    </div>
		      <?php if(!empty($errors['ticker'])):?>
		      <div class="text-danger"><?=$errors['ticker']?></div>
		      <?php endif;?>

		    <div class="form-floating">
		      <div class="form-control mb-2" ><?=old_value('name', $row['name'])?></div>
		    </div>
		      <?php if(!empty($errors['name'])):?>
		      <div class="text-danger"><?=$errors['name']?></div>
		      <?php endif;?>
 

		    <a href="<?=ROOT?>/admin/projects">
			    <button class="mt-4 btn btn-lg btn-primary" type="button">Back</button>
			</a>
		    <button class="mt-4 btn btn-lg btn-danger  float-end" type="submit">Delete</button>
		<?php else:?>

			<div class="alert alert-danger text-center">Record not found!</div>
		<?php endif;?>

	  </form>
	</div>

<?php else:?>

	<h4>
		Projects 
		<a href="<?=ROOT?>/admin/projects/add">
		<?php if(user('role') == 'admin') { ?>
			<button class="btn btn-primary">Add New</button>
		<?php } ?>
		</a>
	</h4>

	<div class="table-responsive">
	<table class="table">
		
		<tr>
			<th>#</th>
			<th>Project</th>
			<th>Name</th>
			<th>Chain</th>
			<th>website</th>
		</tr>
		<?php  
			$limit = 10;
			$offset = ($PAGE['page_number'] - 1) * $limit;
			
			$userId = user('id');
            if(user('role') == 'admin') {
			$query = "select * from projects order by id desc limit $limit offset $offset";
			$rows = query($query);
			
			} else {
				$query = "select * from users where id = $userId";
			    $rows = query($query);
			}
		?>

		<?php if(!empty($rows)):?>
			<?php foreach($rows as $row):?>
			<tr>
			    <td><?=$row['id']?></td>
			    <td>
					<img src="<?=get_image($row['image'])?>" style="width: 30px;height: 30px;object-fit: cover;"> <strong><?=esc($row['ticker'])?></strong>
				</td>
				<td><?=$row['name']?></td>
				<td><?=$row['chain']?></td>	
				<td><?=$row['website']?></td>
				<td>
					<a href="<?=ROOT?>/admin/projects/edit/<?=$row['id']?>">
						<button class="btn btn-warning text-white btn-sm"><i class="bi bi-pencil-square"></i></button>
					</a>
					<a href="<?=ROOT?>/admin/projects/delete/<?=$row['id']?>">
						<button class="btn btn-danger btn-sm"><i class="bi bi-trash-fill"></i></button>
					</a>
				</td>
			</tr>
			<?php endforeach;?>
		<?php endif;?>
	</table>
	<?php if(user('role') == 'admin') { ?>
	<div class="col-md-12 mb-4">
		<a href="<?=$PAGE['first_link']?>">
			<button class="btn btn-primary">First Page</button>
		</a>
		<a href="<?=$PAGE['prev_link']?>">
			<button class="btn btn-primary">Prev Page</button>
		</a>
		<a href="<?=$PAGE['next_link']?>">
			<button class="btn btn-primary float-end">Next Page</button>
		</a>
	</div>
	<?php } ?>
	</div>

<?php endif;?>