<?php  
      
                $slug = $url[1] ?? null;

                if($slug)
                {
                  $query = "select posts.*,categories.category from posts join categories on posts.category_id = categories.id where posts.slug = :slug limit 1";
                  $row = query_row($query, ['slug'=>$slug]);

                  $author = $row['user_id'];
                  $authorQuery = "select * from users where id = $author limit 1";
                  $authorRow = query_row($authorQuery);
                  
                }

              
?>
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="<?= $row['description']; ?>">
    <meta name="keyword" content="<?= $row['keyword']; ?>">
    <meta name="author" content="<?= $authorRow['full_name']; ?>">
    <title>Home - <?=APP_NAME?></title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Saira:wght@200;700&display=swap" rel="stylesheet">
    <link href="<?=ROOT?>/assets/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?=ROOT?>/assets/css/mystyleblog.css" rel="stylesheet">
    <link hrf="<?=ROOT?>/assets/css/mystyle.css" rel="stylesheet">

    <script type="text/javascript" src="https://platform-api.sharethis.com/js/sharethis.js#property=65399633d9b4f20019e77677&product=inline-share-buttons&source=platform" async="async"></script>
    <style>
      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

    </style>

    <!-- Custom styles for this template -->
    <link href="<?=ROOT?>/assets/css/headers.css" rel="stylesheet">
  </head>
  <body>

  <div class="vc fixed-top">
  <div class="container">
    <nav class="nav">
      <div class="logo"><img src="<?=ROOT?>/assets/images/mecnix copy_white 2 (2).png" width="80px"></div>
      <div class="icon" id="menuToggle"><i class="fas fa-bars"></i></div>
      <div class="navRight">
         <a href="<?=ROOT?>" class="navLinks <?=$url[0] =='home' ? '':''?>">Home</a>
         <a href="<?=ROOT?>/projects" class="navLinks <?=$url[0] =='home' ? '':''?>">African Projects</a>
         <a class="navLinks dropdown">
              <a href="#" style="color: white" class="navLinks <?=$url[0] =='category' ? '':''?> text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                Category
              </a>
              <ul class="dropdown-menu text-small">
               
               <?php  

                  $query = "select * from categories order by id desc";
                  $categories = query($query);
                ?>
                <?php if(!empty($categories)):?>
                  <?php foreach($categories as $cat):?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$cat['slug']?>"><?=$cat['category']?></a></li>
                  <?php endforeach;?>
                <?php endif;?>
              
              </ul>
         </a>
         <a href="<?=ROOT?>/contact" class="navLinks  <?=$url[0] =='contact' ? '':''?>">Contact</a>
         <a class="navLinks" href="https://www.google.com">About</a>
         <form action="<?=ROOT?>/search" class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3 mx-4" role="search">
          <div class="input-group ">
            <input value="<?=$_GET['find'] ?? ''?>" name="find" type="search" class="form-control" placeholder="Search..." aria-label="Search">
            <button class="btn mainB" style="background: linear-gradient(267deg, rgb(48, 127, 244) -44.97%, rgb(247, 75, 190) 47.85%, #f3bf58 155.82%);
            color: rgb(255, 255, 255);"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
          </svg></button>
          </div>
        </form>

        <?php if(logged_in()):?>
        <div class="dropdown text-end">
          <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?=get_image(user('image'))?>" alt="mdo" style="object-fit: cover;" width="32" height="32" class="rounded-circle">
          </a>
          <ul class="dropdown-menu text-small">
            <li><a class="dropdown-item" href="#">Hi, <b><?=user('username')?></b></a></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/admin">Profile</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/logout">Sign out</a></li>
          </ul>
        </div>
        <?php endif;?>



      </div>

    </nav>
    <div class="navRights">
    <a href="<?=ROOT?>" style="color: white;" class="navLinks <?=$url[0] =='home' ? '':''?>">Home</a>
         <a href="<?=ROOT?>/contact" style="color: white;" class="navLinks my-2 <?=$url[0] =='contact' ? '':''?>">Contact</a>
         <a class="navLinks" style="color: white;" href="https://www.google.com">About</a>
         <a class="navLinks my-2 dropdown text-end">
              <a href="#" style="color: white" class=" <?=$url[0] =='category' ? '':''?> text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                Category
              </a>
              <ul class="dropdown-menu text-small">
               
               <?php  

                  $query = "select * from categories order by id desc";
                  $categories = query($query);
                ?>
                <?php if(!empty($categories)):?>
                  <?php foreach($categories as $cat):?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$cat['slug']?>"><?=$cat['category']?></a></li>
                  <?php endforeach;?>
                <?php endif;?>
              
              </ul>
         </a>
         <form action="<?=ROOT?>/search" class="col-12 col-lg-auto mb-3 my-3 mb-lg-0 me-lg-3" role="search">
          <div class="input-group ">
            <input value="<?=$_GET['find'] ?? ''?>" name="find" type="search" class="form-control" placeholder="Search..." aria-label="Search">
            <button class="btn mainB" style="background: linear-gradient(267deg, rgb(48, 127, 244) -44.97%, rgb(247, 75, 190) 47.85%, #f3bf58 155.82%);
            color: rgb(255, 255, 255);"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
          </svg></button>
          </div>
        </form>

        <?php if(logged_in()):?>
        <div class="dropdown text-end">
          <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?=get_image(user('image'))?>" alt="mdo" style="object-fit: cover;" width="32" height="32" class="rounded-circle">
          </a>
          <ul class="dropdown-menu text-small">
            <li><a class="dropdown-item" href="#">Hi, <b><?=user('username')?></b></a></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/admin">Profile</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/logout">Sign out</a></li>
          </ul>
        </div>
        <?php endif;?>
   </div>
  </div>
</div>

  <?php

    if($url[0] == 'home')
      // include '../app/pages/includes/slider.php'; 
  ?>

  <main class="p-2">

<br>
<br>
<br>
<div class="row" style="">
   <div class="col-md-9">
        <div class="mx-auto">
            <div class="row my-2 justify-content-center">

              <?php  
      
                $slug = $url[1] ?? null;

                if($slug)
                {
                  $query = "select posts.*,categories.category from posts join categories on posts.category_id = categories.id where posts.slug = :slug limit 1";
                  $row = query_row($query, ['slug'=>$slug]);

                  $author = $row['user_id'];
                  $authorQuery = "select * from users where id = $author limit 1";
                  $authorRow = query_row($authorQuery);
                  
                }

                if(!empty($row))
                { ?>
                  
                  <div class="col-md-12">
                  <div class="g-0 overflow-hidden flex-md-row mb-4 shadow-sm position-relative">
                    <div class="col-12 d-lg-block">
                      <img class="bd-placeholder-img w-100" width="100%" style="object-fit:cover;" src="<?=get_image($row['image'])?>">
                    </div>
                    <div class="col p-4 d-flex flex-column position-static">
                      <strong class="d-inline-block mb-2 text-primary"><?=esc($row['category'] ?? 'Unknown')?></strong>
                      <h3 class="mb-0"><?=esc($row['title'])?></h3>
                      <div class="mb-1 text-muted"><?=date("jS M, Y",strtotime($row['date']))?></div>
                      <p class="card-img-top"><?=nl2br(add_root_to_images($row['content']))?></p>
                    </div>
                    <div class="" style="display: flex; align-item: center; margin-top: -20px;">
                       <img src="<?=get_image($authorRow['image'])?>" class="rounded-circle mx-4" height="80" width="80" style="margin-top: -15px;">
                       <div class="my-0" style="text-align: left; ">
                          <h4 class="my-0" style="font-weight: bold;font-size: 22px;">Author <a href="<?=$authorRow['url']?>"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-linkedin" viewBox="0 0 16 16">
  <path d="M0 1.146C0 .513.526 0 1.175 0h13.65C15.474 0 16 .513 16 1.146v13.708c0 .633-.526 1.146-1.175 1.146H1.175C.526 16 0 15.487 0 14.854V1.146zm4.943 12.248V6.169H2.542v7.225h2.401zm-1.2-8.212c.837 0 1.358-.554 1.358-1.248-.015-.709-.52-1.248-1.342-1.248-.822 0-1.359.54-1.359 1.248 0 .694.521 1.248 1.327 1.248h.016zm4.908 8.212V9.359c0-.216.016-.432.08-.586.173-.431.568-.878 1.232-.878.869 0 1.216.662 1.216 1.634v3.865h2.401V9.25c0-2.22-1.184-3.252-2.764-3.252-1.274 0-1.845.7-2.165 1.193v.025h-.016a5.54 5.54 0 0 1 .016-.025V6.169h-2.4c.03.678 0 7.225 0 7.225h2.4z"/>
</svg></a></h4>
                          <p style="font-size: 18px;"> <?= $authorRow['full_name'] ?></p>
                       </div>
                    </div>
                  </div>
                </div>


               

                <?php 
                }else{
                  echo "No items found!";
                }

              ?>
           <div class="sharethis-inline-share-buttons my-4"></div>
            </div>
      </div>
      <div class="col-md-12">
                      <h4 style="background: rgba(255, 255, 255, 0.07);backdrop-filter: blur(20.5px);border-top: 1px solid rgba(203, 200, 200, 0.21);padding: 15px 30px;border-radius: 0 0 10px 10px; font-size: 20px;position: -webkit-sticky;position: sticky;top: 63px;z-index: 100;" id="featured" class="featured mb-3">Recent Posts</h4>
                      <div class="row my-2">
                      <?php  
                          $query = "select posts.*,categories.category from posts join categories on posts.category_id = categories.id order by id desc limit 6";
                          $rows = query($query);
                          if($rows)
                          {
                            foreach ($rows as $row) {
                              include '../app/pages/includes/post-card.php';
                            }

                          }else{
                            echo "No items found!";
                          }

                      ?>
                      </div>
                  </div>
   </div>
   <div class="col-md-3">
     <div class="aside .sticky">
        <img src="<?=ROOT?>/assets/images/cc.jpg" class="card-img-top" style="border-radius: 10px;">
      </div>
   </div>
</div>

<?php include '../app/pages/includes/footer.php'; ?>

