<?php include '../app/pages/includes/header.php'; ?>

<?php  
	$limit = 10;
	$offset = ($PAGE['page_number'] - 1) * $limit;
	$slug = $url[1] ?? null;

	if($slug)
	{
		$query = "select * from projects order by id desc limit $limit offset $offset";
		$row = query_row($query, ['slug'=>$slug]);
		
	}

?>
<style>
.rr {
  text-align: right;

}
thead th {
	  border: none;
  }
thead tr {
	padding: 20px 0;
	background-color: #181818;
}
tbody tr {
	background-color: #101010;
}
tbody td {
color: gray;
border-bottom: 1px solid #181818;
}
tr {
	padding: 30px;
}
</style>
<br>
<br>
<div class="">
<table class="table align-middle my-3 bg-black" style="width: 100%;color: #AA9D8E;">
<div class="container">
  <thead class="bg-black mx-4" style="color: wheat;">
    <tr style="">
      <th style="">Projects</th>
      <th class="rr" id="rr">Chain</th>
      <th class="rr" id="rr">website</th>
    </tr>
  </thead>
  <tbody>
  <?php  
			$limit = 10;
			$offset = ($PAGE['page_number'] - 1) * $limit;

			$query = "select * from projects order by id desc limit $limit offset $offset";
			$rows = query($query);

		?>

<?php if(!empty($rows)):?>
  <?php foreach($rows as $row):?>
    <tr>
      <td>
        <div class="d-flex align-items-center">
          <img
              src="<?=get_image($row['image'])?>"
              alt=""
              style="width: 35px; height: 35px"
              class="rounded-circle"
              />
          <div class="ms-3">
            <p class="fw-bold mb-0"><?=esc($row['ticker'])?></p>
          </div>
        </div>
      </td>
      <td class="rr">
        <p class="fw-normal mb-1 rr"><?=$row['chain']?></p>
      </td>
      <td class="rr"><a href="<?=$row['website']?>"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-box-arrow-up-right" viewBox="0 0 16 16">
  <path fill-rule="evenodd" d="M8.636 3.5a.5.5 0 0 0-.5-.5H1.5A1.5 1.5 0 0 0 0 4.5v10A1.5 1.5 0 0 0 1.5 16h10a1.5 1.5 0 0 0 1.5-1.5V7.864a.5.5 0 0 0-1 0V14.5a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h6.636a.5.5 0 0 0 .5-.5z"/>
  <path fill-rule="evenodd" d="M16 .5a.5.5 0 0 0-.5-.5h-5a.5.5 0 0 0 0 1h3.793L6.146 9.146a.5.5 0 1 0 .708.708L15 1.707V5.5a.5.5 0 0 0 1 0v-5z"/>
</svg></a></td>
    </tr>
  <?php endforeach;?>
<?php endif;?> 
  </tbody>
  </div>
</table>

	<div class="col-md-12 mb-4 p-4">
		<a href="<?=$PAGE['first_link']?>">
			<button class="btn btn-primary">First Page</button>
		</a>
		<a href="<?=$PAGE['prev_link']?>">
			<button class="btn btn-primary">Prev Page</button>
		</a>
		<a href="<?=$PAGE['next_link']?>">
			<button class="btn btn-primary float-end">Next Page</button>
		</a>
	</div>

</div>
<?php include '../app/pages/includes/footer.php'; ?>

