<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="web3 Crypto and Blockchain related news, project news and startups project analysis">
    <meta name="keyword" content="web3, blockchain, crypto, news, crypto projects, analysis">
    <meta name="author" content="mecnix Felix Chichetam">
    <title>Home - <?=APP_NAME?></title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css"/>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Saira:wght@200;700&display=swap" rel="stylesheet">
    <link href="<?=ROOT?>/assets/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?=ROOT?>/assets/css/mystyleblog.css" rel="stylesheet">
    <link hrf="<?=ROOT?>/assets/css/mystyle.css" rel="stylesheet">


    <style>
      .bi {
        vertical-align: -.125em;
        fill: currentColor;
      }

    </style>

    <!-- Custom styles for this template -->
    <link href="<?=ROOT?>/assets/css/headers.css" rel="stylesheet">
  </head>
  <body>

  <div class="vc fixed-top">
  <div class="container">
    <nav class="nav">
      <div class="logo"><img src="<?=ROOT?>/assets/images/mecnix copy_white 2 (2).png" width="80px"></div>
      <div class="icon" id="menuToggle"><i class="fas fa-bars"></i></div>
      <div class="navRight">
         <a href="<?=ROOT?>" class="navLinks <?=$url[0] =='home' ? '':''?>">Home</a>
         <a href="<?=ROOT?>/projects" class="navLinks <?=$url[0] =='home' ? '':''?>">African Projects</a>
         <a class="navLinks dropdown">
              <a href="#" style="color: white" class="navLinks <?=$url[0] =='category' ? '':''?> text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                Category
              </a>
              <ul class="dropdown-menu text-small">
               
               <?php  

                  $query = "select * from categories order by id desc";
                  $categories = query($query);
                ?>
                <?php if(!empty($categories)):?>
                  <?php foreach($categories as $cat):?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$cat['slug']?>"><?=$cat['category']?></a></li>
                  <?php endforeach;?>
                <?php endif;?>
              
              </ul>
         </a>
         <a href="<?=ROOT?>/contact" class="navLinks  <?=$url[0] =='contact' ? '':''?>">Contact</a>
         <a class="navLinks" href="https://www.google.com">About</a>
         <form action="<?=ROOT?>/search" class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3 mx-4" role="search">
          <div class="input-group ">
            <input value="<?=$_GET['find'] ?? ''?>" name="find" type="search" class="form-control" placeholder="Search..." aria-label="Search">
            <button class="btn mainB" style="background: linear-gradient(267deg, rgb(48, 127, 244) -44.97%, rgb(247, 75, 190) 47.85%, #f3bf58 155.82%);
            color: rgb(255, 255, 255);"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
          </svg></button>
          </div>
        </form>

        <?php if(logged_in()):?>
        <div class="dropdown text-end">
          <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?=get_image(user('image'))?>" alt="mdo" style="object-fit: cover;" width="32" height="32" class="rounded-circle">
          </a>
          <ul class="dropdown-menu text-small">
            <li><a class="dropdown-item" href="#">Hi, <b><?=user('username')?></b></a></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/admin">Profile</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/logout">Sign out</a></li>
          </ul>
        </div>
        <?php endif;?>
      </div>
    </nav>
  </div>
  <div class="navRights my-4">
    <a href="<?=ROOT?>" style="color: white;" class="navLinks <?=$url[0] =='home' ? '':''?>">Home</a>
         <a href="<?=ROOT?>/contact" style="color: white;" class="navLinks my-2  <?=$url[0] =='contact' ? '':''?>">Contact</a>
         <a class="navLinks" style="color: white;" href="https://www.google.com">About</a>
         <a class="navLinks my-2 dropdown text-end">
              <a href="#" style="color: white" class=" <?=$url[0] =='category' ? '':''?> text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
                Category
              </a>
              <ul class="dropdown-menu text-small">
               
               <?php  

                  $query = "select * from categories order by id desc";
                  $categories = query($query);
                ?>
                <?php if(!empty($categories)):?>
                  <?php foreach($categories as $cat):?>
                    <li><a class="dropdown-item" href="<?=ROOT?>/category/<?=$cat['slug']?>"><?=$cat['category']?></a></li>
                  <?php endforeach;?>
                <?php endif;?>
              
              </ul>
         </a>
         <form action="<?=ROOT?>/search" class="col-12 col-lg-auto mb-3 my-3 mb-lg-0 me-lg-3" role="search">
          <div class="input-group ">
            <input value="<?=$_GET['find'] ?? ''?>" name="find" type="search" class="form-control" placeholder="Search..." aria-label="Search">
            <button class="btn mainB" style="background: linear-gradient(267deg, rgb(48, 127, 244) -44.97%, rgb(247, 75, 190) 47.85%, #f3bf58 155.82%);
            color: rgb(255, 255, 255);"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
            <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
          </svg></button>
          </div>
        </form>

        <?php if(logged_in()):?>
        <div class="dropdown text-end">
          <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?=get_image(user('image'))?>" alt="mdo" style="object-fit: cover;" width="32" height="32" class="rounded-circle">
          </a>
          <ul class="dropdown-menu text-small">
            <li><a class="dropdown-item" href="#">Hi, <b><?=user('username')?></b></a></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/admin">Profile</a></li>
            <li><hr class="dropdown-divider"></li>
            <li><a class="dropdown-item" href="<?=ROOT?>/logout">Sign out</a></li>
          </ul>
        </div>
        <?php endif;?>
   </div>
</div>



  <?php

    if($url[0] == 'home')
      // include '../app/pages/includes/slider.php'; 
  ?>

  <main class="">
